package com.ofss.ams.controller;

import com.ofss.ams.services.EodEmailAlertService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class EodEmailAlertController {

    Logger logger = LoggerFactory.getLogger(EodEmailAlertController.class);

    private final EodEmailAlertService eodEmailAlertService;

    public EodEmailAlertController(EodEmailAlertService eodEmailAlertService) {
        this.eodEmailAlertService = eodEmailAlertService;
    }

    @RequestMapping("/")
	public String ribbonPingApp() {
		return "oracle-banking-alert-management-system-service";
	}
    
    @RequestMapping(path = "/runEodEmailAlert", method = RequestMethod.GET)
    public ResponseEntity<Object> runEodEmailAlert() {

        logger.info("Post Email Alert Invoked..");

        eodEmailAlertService.getEmailId();
        return new ResponseEntity<Object>("Email Sent successfully.", HttpStatus.CREATED);
    }
}
