package com.ofss.ams.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "RT_EMAIL_ALERTS")
@Entity
public class EodEmailAlert {
    @Id
    @Column(name = "BRANCH_CODE", nullable = true, length = 3)
    private String branchCode;

    @Column(name = "EMAIL_ID", nullable = true, length = 100)
    private String emailId;

    public String getBranchCode() {
        return branchCode;
    }

    public void setBranchCode(String branchCode) {
        this.branchCode = branchCode;
    }

    public String getEmailId() {
        return emailId;
    }

    public void setEmailId(String emailId) {
        this.emailId = emailId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        EodEmailAlert that = (EodEmailAlert) o;

        if (branchCode != null ? !branchCode.equals(that.branchCode) : that.branchCode != null) return false;
        if (emailId != null ? !emailId.equals(that.emailId) : that.emailId != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = branchCode != null ? branchCode.hashCode() : 0;
        result = 31 * result + (emailId != null ? emailId.hashCode() : 0);
        return result;
    }
}
