package com.ofss.ams.services;

import com.ofss.ams.domain.EmailObj;
import com.ofss.ams.model.EodEmailAlert;
import com.ofss.ams.repository.EodEmailAlertRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class EodEmailAlertServiceImpl implements EodEmailAlertService{

    @Autowired
    private EodEmailAlertRepository eodEmailAlertRepository;

    @Autowired
    private MailServiceImpl mailServiceImpl ;

    @Override
    public void getEmailId() {
         List<EodEmailAlert> eodEmailAlertsObj = eodEmailAlertRepository.findAll();

        List<String> eodEmailAlerts= new ArrayList<>();

        for (EodEmailAlert eea: eodEmailAlertsObj)
        {
            eodEmailAlerts.add(eea.getEmailId());
        }
        EmailObj emailObj = new EmailObj();
        String[] myArray = new String[eodEmailAlerts.size()];

        myArray = eodEmailAlerts.toArray(myArray);
        for(int i=0; i<myArray.length; i++){
            System.out.println("Element at the index "+i+" is ::"+myArray[i]);
        }


        System.out.println();
        emailObj.setMailTo(eodEmailAlerts.toArray(myArray));

        emailObj.setMailFrom("rudresh.tiwari@oracle.com");
//        emailObj.getMailSubject("Test Mail - Ignore");
        emailObj.setMailSubject("Test Mail - Ignore");
        emailObj.setMailCc(eodEmailAlerts.toArray(myArray));
        emailObj.setMailContent("Test");

        mailServiceImpl.sendEmail(emailObj);

    }

}
